### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-tabs/ecl-tabs.component.ts`

### Extends

`ECLBaseDirective`

### Implements

`AfterViewInit` `AfterContentInit` `OnDestroy`

### Metadata

selector | `ecl-tabs`
templateUrl | `./ecl-tabs.component.html`

### Index

###### Properties

- cmpClass
- content
- dropdownListElement
- moreButtonElement
- role
- tabs
- tabsListElement

###### Methods

- onMoreToggle
- onResize
- onScrollNext
- onScrollPrev
- getCssClasses

###### Inputs

- activeTabIndex
- bodyClass
- class
- e2eAttr

###### Outputs

- tabSelect

###### HostBindings

- attr.role
- class.ecl-tabs

###### HostListeners

- window:resize

###### Accessors

- isMoreHidden

### Constructor

`constructor(differs: IterableDiffers, cd: ChangeDetectorRef)`

Parameters :

Name | Type | Optional
differs | `IterableDiffers` | No
cd | `ChangeDetectorRef` | No

### Inputs

activeTabIndex
Type : `number`
Default value : `0`

bodyClass
Type : `string`
Default value : `''`

class
Type : `string`

e2eAttr
Type : `any`

### Outputs

tabSelect
Type : `EventEmitter`

### HostBindings

attr.role
Type : `string`
Default value : `'navigation'`

class.ecl-tabs
Type : `boolean`
Default value : `true`

### HostListeners

window:resize
Arguments : `'$event'`
`window:resize(event)`

### Methods

onMoreToggle
`onMoreToggle()`
Returns : `void`

onResize
`onResize(event)`
Decorators : `@HostListener('window:resize', ['$event'])`

Parameters :

Name | Optional
event | No

Returns : `void`

onScrollNext
`onScrollNext()`
Returns : `void`

onScrollPrev
`onScrollPrev()`
Returns : `void`

getCssClasses
`getCssClasses(rootClass: string)`

Parameters :

Name | Type | Optional
rootClass | `string` | No

Returns : `string`

### Properties

cmpClass
Default value : `true`
Decorators : `@HostBinding('class.ecl-tabs')`

content
Type : `TemplateRef<any>`

dropdownListElement
Type : `HTMLElement`
Decorators : `@coerceElement() @ViewChild('dropdownList')`

moreButtonElement
Type : `HTMLElement`
Decorators : `@coerceElement() @ViewChild('moreButton', {read: ElementRef})`

role
Type : `string`
Default value : `'navigation'`
Decorators : `@HostBinding('attr.role')`

tabs
Type : `QueryList<EclTabComponent>`
Decorators : `@ContentChildren(undefined)`

tabsListElement
Type : `HTMLElement`
Decorators : `@coerceElement() @ViewChild('tabsList')`

### Accessors

isMoreHidden
get `isMoreHidden()`

# results matching ""

# No results matching ""